Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class SpanElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.SpanElement

public class SpanElement
extends MultiPartElement

A SpanElement, like a DivElement, offers a generic mechanism for adding structure to documents. The SPAN and DIV HTML elements are the only two HTML elements that do not add presentation to their enclosed content. By creating instances and classes of elements and applying style sheets, you can customize the presentation of a document. For more information on using a SpanElement, read the documentation on Grouping elements at W3C.

A SpanElement is an inline element, meaning that it does not introduce a visual break in the text. It cannot be used to group block-level elements like paragraphs; it can be used within a DivElement.

A DivElement is a block element, which customarily begins a new paragraph. It can be used to group other block-level elements, but can't be added to a ParagraphElement. Most browsers represent a DivElement with a line break before and after its contents.

Author:
  Copyright (c) 1995-97, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `DivElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`SpanElement(java.lang.String styleclass)` Deprecated. Constructs a SpanElement with the specified class.
`SpanElement(java.lang.String styleclass, java.lang.String idstr)` Deprecated. Constructs a SpanElement with the specified class and ID.

Method Summary
`SpanElement` | `addElement(HtmlElement val)` Deprecated. Adds an HtmlElement to a SpanElement.
`SpanElement` | `addElement(java.lang.String elem)` Deprecated. Adds a StringElement to a SpanElement.
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpanElement

    public SpanElement(java.lang.String styleclass,
                       java.lang.String idstr)

  Deprecated.
  Constructs a SpanElement with the specified class and ID. The class is a string that matches a designated style in the head of the document, and the ID can be used to identify each SpanElement.

  Parameters:
    `styleclass` - Matches a style class
    `idstr` - Identifies a grouping of types of SpanElements

### SpanElement

    public SpanElement(java.lang.String styleclass)

  Deprecated.
  Constructs a SpanElement with the specified class. The class is a string that matches a designated style in the head of the document.

  Parameters:
    `styleclass` - Matches a style class

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### addElement

    public SpanElement addElement(HtmlElement val)

  Deprecated.
  Adds an HtmlElement to a SpanElement. Note that you cannot add block-level elements to a SpanElement.

  Parameters:
    `val` - HtmlElement
  Returns:
    SpanElement object

### addElement

    public SpanElement addElement(java.lang.String elem)

  Deprecated.
  Adds a StringElement to a SpanElement.

  Parameters:
    `val` - StringElement
  Returns:
    SpanElement object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD